package com.fdkankan.platform.test;

import com.fdkankan.platform.agent.entity.Agent;
import com.fdkankan.platform.agent.service.IAgentService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/send")
public class TestSendController {


    private final String topic ="test_model_order";
    @Autowired
    private IAgentService agentService;

    @RequestMapping("/test")
    private void sentTest(){
        Agent cameraEntity = new Agent();
        cameraEntity.setId(18L);
        cameraEntity.setRecStatus("A");
        agentService.updateById(cameraEntity);
    }
    @RequestMapping("/test1")
    private void sentTest1(){
    }
}
